Subject: "src" attribute ignored for IPv6 (preferred source address selection)

From: Xavier Roche <[email-masked]>
Date: Sat, 04 Sep 2010 11:47:52 +0200

Hi folks,

In an attempt to change the source address in various conditions 
(network prefix, outgoing protocol, user owner id, ..), it appeared that 
the src attribute of an IPv6 route command (ip -6 route add .. src ..) 
was simply ignored.

The outgoing interface can be selected, but not the preferred source 
address (see (1)), which remains always the same within an interface.

If this a bug ? Or a known limitation of the kernel ?

(1) IPROUTE2 Utility Suite Howto
"src ADDRESS --- the source address to prefer using when sending to the 
destinations covered by route prefix. This address must be defined on a 
local machine interface. This will come into play when routes and rules 
are combined with the masquerade rules of the ipchains firewall we 
discuss later."